<?php
include_once '../sys/inc/start.php';
dpanel::check_access();
$advertisement = new adt();
$doc = new document(5);
$doc -> title = 'Новый баннер';


if (!isset($_GET['id']))
{
header('Refresh: 1; url=adt.settings.php');
$doc->ret('Реклама и баннеры','adt.settings.php');
$doc->ret('Админка','/dpanel/');
$doc->err('Ошибка выбора позиции');

exit;
}
$id_space=(string)$_GET['id'];



if (!$name=$advertisement->getNameById($id_space))
{
header('Refresh: 1; url=?');
$doc->err('Выбраная позиция отсутствует');
exit;
}



if (isset($_POST['create']))
{
$code_main=text::input_text(@$_POST['code_main']);
$code_other=text::input_text(@$_POST['code_other']);
$pattern='#<a href="(.+?)"><img src="(.+?)" alt="(.+?)" /></a>#ui';

if (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha']!=$_POST['chislo']){$design->err('Проверочное число введено неверно');}
else
{
if (preg_match($pattern, $code_main, $main))
{
if ($code_main==$code_other)
{
mysql_query("INSERT INTO `advertising` (`space`, `url_link`, `name`, `url_img`, `page_main`, `page_other`, `time_create`, `time_start`, `time_end`, `bold`)
VALUES ('".my_esc($id_space)."', '".my_esc($main[1])."', '".my_esc($main[3])."', '".my_esc($main[2])."', '1', '1', '".TIME."', '0', '0', '0')");
header('Refresh: 1; url=adt.settings.php?id='.$id_space);
$doc->msg('Баннер успешно установлен');
$doc->ret('Вернуться',"adt.settings.php?id=$id_space");
$doc->ret('Рекламные позиции','adt.settings.php');
$doc->ret('Админка','/dpanel/');
exit;
}
else
{
mysql_query("INSERT INTO `advertising` (`space`, `url_link`, `name`, `url_img`, `page_main`, `page_other`, `time_create`, `time_start`, `time_end`, `bold`)
VALUES ('".my_esc($id_space)."', '".my_esc($main[1])."', '".my_esc($main[3])."', '".my_esc($main[2])."', '1', '0', '".TIME."', '0', '0', '0')");
$doc->msg('Баннер для главной страницы успешно установлен');
if (preg_match($pattern, $code_other, $other))
{
mysql_query("INSERT INTO `advertising` (`space`, `url_link`, `name`, `url_img`, `page_main`, `page_other`, `time_create`, `time_start`, `time_end`, `bold`)
VALUES ('".my_esc($id_space)."', '".my_esc($other[1])."', '".my_esc($other[3])."', '".my_esc($other[2])."', '0', '1', '".TIME."', '0', '0', '0')");
$doc->msg('Баннер для остальных страниц успешно установлен');
}
header('Refresh: 1; url=adt.settings.php?id='.$id_space);

$doc->ret('Вернуться',"adt.settings.php?id=$id_space");
$doc->ret('Рекламные позиции','adt.settings.php');
$doc->ret('Админка','/dpanel/');
exit;

}

}
else
$doc->err('Невозможно рабобрать код');
}

}


$form = new design();
$form->assign('method','post');
$form->assign('action',"?id=$id_space&amp;".passgen());
$elements=array();


$elements[]=array('type'=>'textarea', 'title'=>'HTML - код (для главной)', 'br'=>1, 'info'=>array('name'=>'code_main'));
$elements[]=array('type'=>'textarea', 'title'=>'HTML - код (для остальных)', 'br'=>1, 'info'=>array('name'=>'code_other'));

$elements[]=array('type'=>'captcha','br'=>1);


$elements[]=array('type'=>'text', 'value'=>'* Распознаются коды счетчиков waplog.net и подобных', 'br'=>1);
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'create', 'value'=>'Создать')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');





$doc->ret('Вернуться',"adt.settings.php?id=$id_space");
$doc->ret('Рекламные позиции','adt.settings.php');
$doc->ret('Админка','/dpanel/');
?>
